{
  universal.home_modules = [
    {
      programs.git = {
        enable = true;
        userName = "Ittihadyya";
        userEmail = "Ittihadyya@collective-conciousness.monster";
        delta.enable = true;
        extraConfig = {
          core = {
            editor = "emacs";
            sshCommand = "ssh -i ~/.ssh/id_ed25519";
          };
        };
      };
    }
  ];
  personal.home_modules = [
    (
      { pkgs, ... }:
      {
        programs.vscode = {
          enable = true;
          package = pkgs.vscodium;
          mutableExtensionsDir = false;
          extensions = with pkgs.vscode-extensions; [
            rust-lang.rust-analyzer
            tuttieee.emacs-mcx
            tamasfe.even-better-toml
            vadimcn.vscode-lldb
            jnoortheen.nix-ide
            mkhl.direnv
            matthewpi.caddyfile-support
          ];
        };
      }
    )
  ];
  personal.modules = [
    (
      { pkgs, ... }:
      {
        environment.systemPackages =
          with pkgs;
          [
          ];
        programs = {
          direnv = {
            enable = true;
            nix-direnv.enable = true;
            enableZshIntegration = true;
          };
        };
      }
    )
  ];
}
